import { jsx } from "react/jsx-runtime";
import { MapPinAreaIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const MapPinArea = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "MapPinArea", ...props, children: /* @__PURE__ */ jsx(MapPinAreaIcon, { weight: variant }) });
  }
);
MapPinArea.displayName = "MapPinArea";
Object.assign(MapPinArea, { isGdsIcon: true });
export {
  MapPinArea
};
